Subject: [scim] FYI new individual submission draft-wahl-scim-profile-00

From: Mark Wahl <[email-masked]>
Date: Mon, 24 Jun 2019 15:38:31 +0000

A while ago I had written a draft for a profile of SCIM, for the use case of an identity provider sending updates about users and their attributes to applications that were their federated relying parties.  That draft expired, but more recently, as interest in SCIM has increased, I've started to hear similar questions from app developers.  Questions like: if they are adding a SCIM server into their app, what parts of the SCIM protocol do they need to implement - are SCIM clients only going to be sending requests from a subset of SCIM?  Or, what is the minimum schema that their app needs to support, does their app need to accept and store attributes that are part of the SCIM user schema but aren't relevant to the app's scenario?  To start to address those questions I've created a new Internet-Draft at  https://tools.ietf.org/html/draft-wahl-scim-profile-00 to determine if there is interest in defining a profile of SCIM to help interoperability in this use case.

Thanks,

Mark Wahl
Microsoft Corporation